Skip to main content
GET
/
projects
/
{project_id}
/
playlists
/
{id}
Show
curl --request GET \
  --url https://api.beyondwords.io/v1/projects/{project_id}/playlists/{id} \
  --header 'X-Api-Key: <api-key>'
{
  "id": 123,
  "title": "<string>",
  "enabled": true,
  "type": "project",
  "rules_version": 1,
  "rules": [
    {
      "operator": "and or",
      "conjunction": [
        {}
      ]
    }
  ],
  "content_limit": 123,
  "content": [
    {
      "id": "<string>",
      "status": "draft",
      "type": "auto_segment",
      "title": "<string>",
      "title_enabled": true,
      "body_enabled": true,
      "summary_enabled": true,
      "summary_title_enabled": true,
      "source_id": "<string>",
      "source_url": "<string>",
      "author": "<string>",
      "image_url": "<string>",
      "metadata": {},
      "audio": [
        {
          "id": 123,
          "variant": "article",
          "orientation": "16:9",
          "content_type": "audio/mpeg",
          "url": "<string>",
          "duration": 123,
          "base64_file": "<string>"
        }
      ],
      "video": [
        {
          "id": 123,
          "variant": "article",
          "orientation": "16:9",
          "content_type": "video/mp4",
          "url": "<string>",
          "duration": 123,
          "base64_file": "<string>"
        }
      ],
      "audio_with_intro_outro": [
        {
          "id": 123,
          "variant": "article",
          "orientation": "16:9",
          "content_type": "audio/mpeg",
          "url": "<string>",
          "duration": 123,
          "base64_file": "<string>"
        }
      ],
      "summarization": {
        "audio": [
          {
            "id": 123,
            "variant": "article",
            "orientation": "16:9",
            "content_type": "audio/mpeg",
            "url": "<string>",
            "duration": 123,
            "base64_file": "<string>"
          }
        ],
        "video": [
          {
            "id": 123,
            "variant": "article",
            "orientation": "16:9",
            "content_type": "video/mp4",
            "url": "<string>",
            "duration": 123,
            "base64_file": "<string>"
          }
        ]
      },
      "published": true,
      "video_published": true,
      "publish_date": "<string>",
      "ads_enabled": true,
      "auto_segment_updates_enabled": true,
      "background_track": {
        "enabled": true,
        "track": {
          "id": 123,
          "name": "<string>",
          "custom": true,
          "volume": 123,
          "url": "<string>"
        }
      },
      "feature_image": {
        "url": "<string>",
        "video_settings": {
          "enabled": true,
          "crop_coordinates": {
            "16:9": [
              123
            ],
            "9:16": [
              123
            ]
          }
        }
      },
      "feature_video": {
        "url": "<string>",
        "video_settings": {
          "enabled": true,
          "volume": 123,
          "crop_coordinates": {
            "16:9": [
              123
            ],
            "9:16": [
              123
            ]
          }
        }
      },
      "summarization_settings": {
        "enabled": true,
        "prompt": "<string>",
        "model": "gpt-3.5-turbo",
        "temperature": 1,
        "limit_token_usage": 1500,
        "template": [
          {
            "id": 123,
            "slug": "<string>",
            "name": "<string>",
            "model": "gpt-3.5-turbo",
            "prompt": "<string>",
            "temperature": 1,
            "limit_token_usage": 250
          }
        ]
      },
      "language": "<string>",
      "created": "2023-11-07T05:31:56Z",
      "updated": "2023-11-07T05:31:56Z"
    }
  ],
  "created": "2023-11-07T05:31:56Z",
  "settings": {
    "title": "<string>",
    "enabled": true,
    "description": "<string>",
    "homepage_url": "<string>",
    "image_url": "<string>",
    "apple_categories": {
      "primary_category": "<string>",
      "primary_subcategory": "<string>",
      "secondary_category": "<string>",
      "secondary_subcategory": "<string>"
    },
    "google_categories": [
      "<string>"
    ],
    "language": "<string>",
    "owner_name": "<string>",
    "owner_email": "<string>",
    "author_names": [
      "<string>"
    ],
    "explicit_enabled": true,
    "keywords": [
      "<string>"
    ],
    "feed_limit": 123,
    "copyright": "<string>"
  },
  "updated": "2023-11-07T05:31:56Z"
}

Authorizations

X-Api-Key
string
header
required

Path Parameters

project_id
string
required

The numeric ID of your project

id
string
required

The numeric ID of your playlist

Query Parameters

filter[content.title]
string

filter by content title

Response

200 - application/json

OK

id
integer

Unique identifier for the object

title
string

The title of the playlist

enabled
boolean

Whether the playlist can be played in the BeyondWords player

type
enum<string>

The type of playlist. The project type is generated automatically. The manual and auto can set content and rules respectively

Available options:
project,
manual,
auto
rules_version
enum<string> | null
Available options:
1
rules
object[]

The rules that will be used to find content for auto playlists

content_limit
integer

The maximum number of content items that will appear in the playlist

content
object[]

The content of the playlist (a reduced set of fields are returned). Only the id field is returned for the playlists index endpoint

created
string<date-time>

Time at which the object was created (ISO 8601)

settings
object
updated
string<date-time>

Time at which the object was updated (ISO 8601)